%define version 0.2.6
%define release %mkrel 1

Summary:	Zhcon is a fast CJK console system
Name:		zhcon
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://zhcon.sf.net/
Group:		System/Internationalization
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://download.sourceforge.net/zhcon/
Source0:	%{name}-0.2.5.tar.gz
# Patch0:	Official patch, used to patch source 0.2.5 to 0.2.6
Patch0:		zhcon-0.2.5-to-0.2.6.diff.gz

# Patch1,2,3,4 from Fedora
Patch1:		zhcon-0.2.6-path.patch
Patch2:		zhcon-0.2.6-path-define.patch
Patch3:		zhcon-0.2.6-flags.patch
Patch4:		zhcon-0.2.6-64bit-fix.patch

BuildRequires:	automake1.8
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
BuildRequires:	bison
BuildRequires:	gpm-devel

%description
Zhcon is a fast Linux Console which supports framebuffer device. It can
display Chinese, Japanese or Korean (CJK) double byte characters. Supported
language encodings include:
GB2312, GBK, BIG5, JIS and KSCM.
It can also use input methods (table based) from unicon.

%prep
%setup -q -n zhcon-0.2.5
%patch0 -p1 -b .0.26
%patch1 -p1 -b .instpath
%patch2 -p1 -b .path_define
%patch3 -p1 -b .flags
%patch4 -p1 -b .64bit_fix
iconv -f GB2312 -t UTF-8 ChangeLog -o ChangeLog.utf && mv -f ChangeLog.utf ChangeLog
( cd doc; tar -zxf html.tar.gz; chmod 755 manual)

%build
# exit if bootstrap fails
# missing config.rpath causes automake failure
sed -i -e 's|set -x|set -e -x|' bootstrap
touch config.rpath

./bootstrap

%configure2_5x
%make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall_std

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README README.utf8 THANKS TODO doc/bpsf.txt doc/README.html
%lang(zh_CN) %doc doc/manual*
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(4755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}/


%changelog
* Thu Jun 14 2007 Funda Wang <fundawang@mandriva.org> 0.2.6-1mdv2008.0
+ Revision: 39535
- Merge fedora patches
- Clean patches


* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.2.5-3mdv2007.0
- Rebuild

* Mon Jul 31 2006 Funda Wang <fundawang@gmail.com> 0.2.5-2mdv2007.0
- Fix build on x86-64 (re-enabled patches)

* Sun Jul 16 2006 Funda Wang <fundawang@gmail.com> 0.2.5-1mdv2007.0
- New release 0.2.6 (0.2.5 + diff)

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.3-9mdk
- patch 10: fix build

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2.3-8mdk
- Rebuild
- %%mkrel

* Tue Jan 25 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.3-7mdk
- rebuild the security fix update from 10.1

* Thu Jan 20 2005 Vincent Danen <vdanen@mandrakesoft.com> 0.2.3-6.2.101mdk
- updated patch for CAN-2005-0072

* Mon Jan 17 2005 Vincent Danen <vdanen@mandrakesoft.com> 0.2.3-6.1.101mdk
- security fix for CAN-2005-0072

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-6mdk
- Rebuild

* Sun Feb 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.3-5mdk
- rebuild for libnewt-0.51
- patch 7: fix build

* Sat Oct 25 2003 Stefan van der Eijk <stefan@eijk.nu> 0.2.3-4mdk
- BuildRequires

